package cn.com.poc.data_analyze.query;   

import java.io.Serializable;
import java.util.List;

/**
 * Query Condition class for DataAnalyzePointRecordQuery
 */
public class DataAnalyzePointRecordQueryCondition implements Serializable{
    
    private static final long serialVersionUID = 1L;
    

    private java.lang.String relationId;
    
    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
        

    private List<String> channels;
    
    public List<String> getChannels(){
        return this.channels;
    }
    
    public void setChannels(List<String> channels){
        this.channels = channels;
    }
        

    private java.lang.String startDate;
    
    public java.lang.String getStartDate(){
        return this.startDate;
    }
    
    public void setStartDate(java.lang.String startDate){
        this.startDate = startDate;
    }
        

    private java.lang.String endDate;
    
    public java.lang.String getEndDate(){
        return this.endDate;
    }
    
    public void setEndDate(java.lang.String endDate){
        this.endDate = endDate;
    }
        
}